<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Market/Scripts/5_mission/dayzexpansion_market/atm/expansionatmmenuplayerentry.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/d4b/a01883_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionatmmenuplayerentry.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/d4b/a01883.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionATMMenuPlayerEntry.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d3/d33/a06046.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d3/d33/a06046.html">ExpansionATMMenuPlayerEntry</a>: <a class="code hl_class" href="../../d4/d56/a05206.html">ExpansionScriptView</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d3/d33/a06046.html#a6424e98e8f4ebd4dd0a770a4df46c7a7">   15</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../df/d0f/a06034.html">ExpansionATMMenu</a> <a class="code hl_variable" href="../../d3/d33/a06046.html#a6424e98e8f4ebd4dd0a770a4df46c7a7">m_ATMMenu</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d3/d33/a06046.html#a1d9f3b3dff83edb0cd39c2aababfc4af">   16</a></span>    <span class="keyword">protected</span> ref ExpansionATMMenuPlayerEntryController <a class="code hl_variable" href="../../d3/d33/a06046.html#a1d9f3b3dff83edb0cd39c2aababfc4af">m_ATMMenuPlayerEntryController</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d3/d33/a06046.html#a817154252e439ceb4c9050b9f95405f9">   18</a></span>    ref <a class="code hl_class" href="../../da/db5/a04306.html">SyncPlayer</a> <a class="code hl_variable" href="../../d3/d33/a06046.html#a817154252e439ceb4c9050b9f95405f9">m_Player</a>;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno"><a class="line" href="../../d3/d33/a06046.html#a71d41b75857af64ce93500d06d6d5150">   20</a></span>    <span class="keyword">protected</span> Widget <a class="code hl_variable" href="../../d3/d33/a06046.html#a71d41b75857af64ce93500d06d6d5150">player_element_button_background</a>;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="comment">//protected ButtonWidget player_element_button;</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno"><a class="line" href="../../d3/d33/a06046.html#ae9bd13ffc1b43568d50594318665d968">   22</a></span>    <span class="keyword">protected</span> TextWidget <a class="code hl_variable" href="../../d3/d33/a06046.html#ae9bd13ffc1b43568d50594318665d968">player_element_text</a>;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno"><a class="line" href="../../d3/d33/a06046.html#a8bc576afa4ad540868fad463d128e0e5">   23</a></span>    <span class="keyword">protected</span> Widget <a class="code hl_variable" href="../../d3/d33/a06046.html#a8bc576afa4ad540868fad463d128e0e5">player_element_button_highlight</a>;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d3/d33/a06046.html#afb1ad1284f6129d1d31bfb2d50c017ec">   25</a></span>    <span class="keyword">private</span> <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d3/d33/a06046.html#afb1ad1284f6129d1d31bfb2d50c017ec">m_Selected</a> = <span class="keyword">false</span>;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    </div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <span class="comment">// ExpansionATMMenuPlayerEntry Constructor</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d3/d33/a06046.html#a2fc19918f7c40378fbe494766d39d086">   30</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d33/a06046.html#a2fc19918f7c40378fbe494766d39d086">ExpansionATMMenuPlayerEntry</a>(<a class="code hl_class" href="../../df/d0f/a06034.html">ExpansionATMMenu</a> atm, <a class="code hl_class" href="../../da/db5/a04306.html">SyncPlayer</a> player)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <a class="code hl_variable" href="../../d3/d33/a06046.html#a6424e98e8f4ebd4dd0a770a4df46c7a7">m_ATMMenu</a> = atm;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <a class="code hl_variable" href="../../d3/d33/a06046.html#a817154252e439ceb4c9050b9f95405f9">m_Player</a> = player;</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d3/d33/a06046.html#a1d9f3b3dff83edb0cd39c2aababfc4af">m_ATMMenuPlayerEntryController</a>)</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            <a class="code hl_variable" href="../../d3/d33/a06046.html#a1d9f3b3dff83edb0cd39c2aababfc4af">m_ATMMenuPlayerEntryController</a> = ExpansionATMMenuPlayerEntryController.Cast(GetController());</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>                </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <a class="code hl_function" href="../../d3/d33/a06046.html#aa27b79593e404bb6bf7465024bfaa0b9">SetView</a>();</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    <span class="comment">// ExpansionATMMenuPlayerEntry GetLayoutFile</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno"><a class="line" href="../../d3/d33/a06046.html#a755d9e833e0b2b557b191779978b0660">   44</a></span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d3/d33/a06046.html#a755d9e833e0b2b557b191779978b0660">GetLayoutFile</a>() </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DayZExpansion/Market/GUI/layouts/atm/expansion_atm_menu_player_entry.layout&quot;</span>;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <span class="comment">// ExpansionATMMenuPlayerEntry GetControllerType</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../d3/d33/a06046.html#ab3fef6b7018aa9fa7ca561ccb16d340a">   52</a></span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d3/d33/a06046.html#ab3fef6b7018aa9fa7ca561ccb16d340a">GetControllerType</a>() </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">return</span> ExpansionATMMenuPlayerEntryController;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <span class="comment">// ExpansionATMMenuPlayerEntry SetView</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno"><a class="line" href="../../d3/d33/a06046.html#aa27b79593e404bb6bf7465024bfaa0b9">   60</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d33/a06046.html#aa27b79593e404bb6bf7465024bfaa0b9">SetView</a>()</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    {</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <a class="code hl_variable" href="../../d3/d33/a06046.html#a71d41b75857af64ce93500d06d6d5150">player_element_button_background</a>.SetColor(<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetMarket().<a class="code hl_variable" href="../../dc/d93/a01535.html#aeef100852ccb522d585d1ed4cf9b3452">MarketMenuColors</a>.Get(<span class="stringliteral">&quot;BaseColorLabels&quot;</span>));</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="comment">//player_element_button.SetColor(GetExpansionSettings().GetMarket().MarketMenuColors.Get(&quot;ColorSetQuantityButton&quot;));</span></div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>        <a class="code hl_variable" href="../../d3/d33/a06046.html#ae9bd13ffc1b43568d50594318665d968">player_element_text</a>.SetColor(<a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().GetMarket().<a class="code hl_variable" href="../../dc/d93/a01535.html#aeef100852ccb522d585d1ed4cf9b3452">MarketMenuColors</a>.Get(<span class="stringliteral">&quot;BaseColorText&quot;</span>));</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <a class="code hl_variable" href="../../d3/d33/a06046.html#a1d9f3b3dff83edb0cd39c2aababfc4af">m_ATMMenuPlayerEntryController</a>.PlayerName = <a class="code hl_variable" href="../../d3/d33/a06046.html#a817154252e439ceb4c9050b9f95405f9">m_Player</a>.m_PlayerName;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <a class="code hl_variable" href="../../d3/d33/a06046.html#a1d9f3b3dff83edb0cd39c2aababfc4af">m_ATMMenuPlayerEntryController</a>.NotifyPropertyChanged(<span class="stringliteral">&quot;PlayerName&quot;</span>);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    <span class="comment">// ExpansionATMMenuPlayerEntry OnPlayerEntryButtonClick</span></div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno"><a class="line" href="../../d3/d33/a06046.html#a98f0d4539e03946b602ac1efac9cd6b2">   73</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d33/a06046.html#a98f0d4539e03946b602ac1efac9cd6b2">OnPlayerEntryButtonClick</a>()</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    {</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        <span class="keywordflow">if</span> (!<a class="code hl_variable" href="../../d3/d33/a06046.html#afb1ad1284f6129d1d31bfb2d50c017ec">m_Selected</a>)</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>        {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>            <a class="code hl_function" href="../../d3/d33/a06046.html#a7be5bcfea473d901db2e35a9991db3fc">SetSelected</a>(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>            <a class="code hl_variable" href="../../d3/d33/a06046.html#a6424e98e8f4ebd4dd0a770a4df46c7a7">m_ATMMenu</a>.<a class="code hl_function" href="../../df/d0f/a06034.html#ad719019f9eace67291d83d6b6aad55fa">SetPlayer</a>(<a class="code hl_variable" href="../../d3/d33/a06046.html#a817154252e439ceb4c9050b9f95405f9">m_Player</a>, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        {</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>            <a class="code hl_function" href="../../d3/d33/a06046.html#a7be5bcfea473d901db2e35a9991db3fc">SetSelected</a>(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <a class="code hl_variable" href="../../d3/d33/a06046.html#a6424e98e8f4ebd4dd0a770a4df46c7a7">m_ATMMenu</a>.<a class="code hl_function" href="../../df/d0f/a06034.html#ad719019f9eace67291d83d6b6aad55fa">SetPlayer</a>(NULL, <span class="keyword">this</span>);</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>        }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>    }</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    </div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>    <span class="comment">// ExpansionATMMenuPlayerEntry SetSelected</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno"><a class="line" href="../../d3/d33/a06046.html#a7be5bcfea473d901db2e35a9991db3fc">   90</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d3/d33/a06046.html#a7be5bcfea473d901db2e35a9991db3fc">SetSelected</a>(<span class="keywordtype">bool</span> state)</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>    {</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        <a class="code hl_variable" href="../../d3/d33/a06046.html#afb1ad1284f6129d1d31bfb2d50c017ec">m_Selected</a> = state;</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        <a class="code hl_variable" href="../../d3/d33/a06046.html#a8bc576afa4ad540868fad463d128e0e5">player_element_button_highlight</a>.Show(state);</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>    }</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>    </div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>    <span class="comment">// ExpansionATMMenuPlayerEntry IsSelected</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    <span class="comment">// ------------------------------------------------------------ </span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno"><a class="line" href="../../d3/d33/a06046.html#a0ee84fadd6872f7fafefe8aea5c0fc50">   99</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d3/d33/a06046.html#a0ee84fadd6872f7fafefe8aea5c0fc50">IsSelected</a>()</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>    {</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d3/d33/a06046.html#afb1ad1284f6129d1d31bfb2d50c017ec">m_Selected</a>;</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    }</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>}</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span> </div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span><span class="keyword">class </span>ExpansionATMMenuPlayerEntryController: <a class="code hl_class" href="../../d7/d20/a04410.html">ExpansionViewController</a></div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>{</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../db/d4b/a01883.html#a7da3300b681154b016a0b439cfcc9698">  107</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../db/d4b/a01883.html#a7da3300b681154b016a0b439cfcc9698">PlayerName</a>;</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>};</div>
<div class="ttc" id="aa01535_html_aeef100852ccb522d585d1ed4cf9b3452"><div class="ttname"><a href="../../dc/d93/a01535.html#aeef100852ccb522d585d1ed4cf9b3452">MarketMenuColors</a></div><div class="ttdeci">MarketMenuColors</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/d93/a01535_source.html#l00066">expansionmarketsettings.c:66</a></div></div>
<div class="ttc" id="aa01883_html_a7da3300b681154b016a0b439cfcc9698"><div class="ttname"><a href="../../db/d4b/a01883.html#a7da3300b681154b016a0b439cfcc9698">PlayerName</a></div><div class="ttdeci">ExpansionATMMenuPlayerEntry PlayerName</div></div>
<div class="ttc" id="aa04306_html"><div class="ttname"><a href="../../da/db5/a04306.html">SyncPlayer</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/a00743_source.html#l00013">syncplayer.c:14</a></div></div>
<div class="ttc" id="aa04410_html"><div class="ttname"><a href="../../d7/d20/a04410.html">ExpansionViewController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d5d/a09121_source.html#l00013">expansionscriptview.c:14</a></div></div>
<div class="ttc" id="aa05206_html"><div class="ttname"><a href="../../d4/d56/a05206.html">ExpansionScriptView</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d42/a09124_source.html#l00013">expansionscriptview.c:14</a></div></div>
<div class="ttc" id="aa06034_html"><div class="ttname"><a href="../../df/d0f/a06034.html">ExpansionATMMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d63/a01877_source.html#l00013">expansionatmmenu.c:14</a></div></div>
<div class="ttc" id="aa06034_html_ad719019f9eace67291d83d6b6aad55fa"><div class="ttname"><a href="../../df/d0f/a06034.html#ad719019f9eace67291d83d6b6aad55fa">ExpansionATMMenu::SetPlayer</a></div><div class="ttdeci">void SetPlayer(SyncPlayer playerSync, ExpansionATMMenuPlayerEntry selectedEntry)</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d63/a01877_source.html#l00410">expansionatmmenu.c:410</a></div></div>
<div class="ttc" id="aa06046_html"><div class="ttname"><a href="../../d3/d33/a06046.html">ExpansionATMMenuPlayerEntry</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4b/a01883_source.html#l00013">expansionatmmenuplayerentry.c:14</a></div></div>
<div class="ttc" id="aa06046_html_a0ee84fadd6872f7fafefe8aea5c0fc50"><div class="ttname"><a href="../../d3/d33/a06046.html#a0ee84fadd6872f7fafefe8aea5c0fc50">ExpansionATMMenuPlayerEntry::IsSelected</a></div><div class="ttdeci">bool IsSelected()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4b/a01883_source.html#l00099">expansionatmmenuplayerentry.c:99</a></div></div>
<div class="ttc" id="aa06046_html_a1d9f3b3dff83edb0cd39c2aababfc4af"><div class="ttname"><a href="../../d3/d33/a06046.html#a1d9f3b3dff83edb0cd39c2aababfc4af">ExpansionATMMenuPlayerEntry::m_ATMMenuPlayerEntryController</a></div><div class="ttdeci">protected ref ExpansionATMMenuPlayerEntryController m_ATMMenuPlayerEntryController</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4b/a01883_source.html#l00016">expansionatmmenuplayerentry.c:16</a></div></div>
<div class="ttc" id="aa06046_html_a2fc19918f7c40378fbe494766d39d086"><div class="ttname"><a href="../../d3/d33/a06046.html#a2fc19918f7c40378fbe494766d39d086">ExpansionATMMenuPlayerEntry::ExpansionATMMenuPlayerEntry</a></div><div class="ttdeci">void ExpansionATMMenuPlayerEntry(ExpansionATMMenu atm, SyncPlayer player)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4b/a01883_source.html#l00030">expansionatmmenuplayerentry.c:30</a></div></div>
<div class="ttc" id="aa06046_html_a6424e98e8f4ebd4dd0a770a4df46c7a7"><div class="ttname"><a href="../../d3/d33/a06046.html#a6424e98e8f4ebd4dd0a770a4df46c7a7">ExpansionATMMenuPlayerEntry::m_ATMMenu</a></div><div class="ttdeci">protected ref ExpansionATMMenu m_ATMMenu</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4b/a01883_source.html#l00015">expansionatmmenuplayerentry.c:15</a></div></div>
<div class="ttc" id="aa06046_html_a71d41b75857af64ce93500d06d6d5150"><div class="ttname"><a href="../../d3/d33/a06046.html#a71d41b75857af64ce93500d06d6d5150">ExpansionATMMenuPlayerEntry::player_element_button_background</a></div><div class="ttdeci">protected Widget player_element_button_background</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4b/a01883_source.html#l00020">expansionatmmenuplayerentry.c:20</a></div></div>
<div class="ttc" id="aa06046_html_a755d9e833e0b2b557b191779978b0660"><div class="ttname"><a href="../../d3/d33/a06046.html#a755d9e833e0b2b557b191779978b0660">ExpansionATMMenuPlayerEntry::GetLayoutFile</a></div><div class="ttdeci">override string GetLayoutFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4b/a01883_source.html#l00044">expansionatmmenuplayerentry.c:44</a></div></div>
<div class="ttc" id="aa06046_html_a7be5bcfea473d901db2e35a9991db3fc"><div class="ttname"><a href="../../d3/d33/a06046.html#a7be5bcfea473d901db2e35a9991db3fc">ExpansionATMMenuPlayerEntry::SetSelected</a></div><div class="ttdeci">void SetSelected(bool state)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4b/a01883_source.html#l00090">expansionatmmenuplayerentry.c:90</a></div></div>
<div class="ttc" id="aa06046_html_a817154252e439ceb4c9050b9f95405f9"><div class="ttname"><a href="../../d3/d33/a06046.html#a817154252e439ceb4c9050b9f95405f9">ExpansionATMMenuPlayerEntry::m_Player</a></div><div class="ttdeci">ref SyncPlayer m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4b/a01883_source.html#l00018">expansionatmmenuplayerentry.c:18</a></div></div>
<div class="ttc" id="aa06046_html_a8bc576afa4ad540868fad463d128e0e5"><div class="ttname"><a href="../../d3/d33/a06046.html#a8bc576afa4ad540868fad463d128e0e5">ExpansionATMMenuPlayerEntry::player_element_button_highlight</a></div><div class="ttdeci">protected Widget player_element_button_highlight</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4b/a01883_source.html#l00023">expansionatmmenuplayerentry.c:23</a></div></div>
<div class="ttc" id="aa06046_html_a98f0d4539e03946b602ac1efac9cd6b2"><div class="ttname"><a href="../../d3/d33/a06046.html#a98f0d4539e03946b602ac1efac9cd6b2">ExpansionATMMenuPlayerEntry::OnPlayerEntryButtonClick</a></div><div class="ttdeci">void OnPlayerEntryButtonClick()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4b/a01883_source.html#l00073">expansionatmmenuplayerentry.c:73</a></div></div>
<div class="ttc" id="aa06046_html_aa27b79593e404bb6bf7465024bfaa0b9"><div class="ttname"><a href="../../d3/d33/a06046.html#aa27b79593e404bb6bf7465024bfaa0b9">ExpansionATMMenuPlayerEntry::SetView</a></div><div class="ttdeci">void SetView()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4b/a01883_source.html#l00060">expansionatmmenuplayerentry.c:60</a></div></div>
<div class="ttc" id="aa06046_html_ab3fef6b7018aa9fa7ca561ccb16d340a"><div class="ttname"><a href="../../d3/d33/a06046.html#ab3fef6b7018aa9fa7ca561ccb16d340a">ExpansionATMMenuPlayerEntry::GetControllerType</a></div><div class="ttdeci">override GetControllerType()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4b/a01883_source.html#l00052">expansionatmmenuplayerentry.c:52</a></div></div>
<div class="ttc" id="aa06046_html_ae9bd13ffc1b43568d50594318665d968"><div class="ttname"><a href="../../d3/d33/a06046.html#ae9bd13ffc1b43568d50594318665d968">ExpansionATMMenuPlayerEntry::player_element_text</a></div><div class="ttdeci">protected TextWidget player_element_text</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4b/a01883_source.html#l00022">expansionatmmenuplayerentry.c:22</a></div></div>
<div class="ttc" id="aa06046_html_afb1ad1284f6129d1d31bfb2d50c017ec"><div class="ttname"><a href="../../d3/d33/a06046.html#afb1ad1284f6129d1d31bfb2d50c017ec">ExpansionATMMenuPlayerEntry::m_Selected</a></div><div class="ttdeci">private bool m_Selected</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d4b/a01883_source.html#l00025">expansionatmmenuplayerentry.c:25</a></div></div>
<div class="ttc" id="aa08737_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00262">expansionsettings.c:262</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_092c367fafeded0f85ad4cffb3510835.html">Market</a></li><li class="navelem"><a class="el" href="../../dir_1f05db06ccb72c72cd31e0fe28945d0f.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_de01f721d980e2c6da889118cf0e6fd3.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_26918351a49db03189baa31a712a4aaa.html">dayzexpansion_market</a></li><li class="navelem"><a class="el" href="../../dir_63b8034c00a5be7d2e01f3a8813cdc9c.html">atm</a></li><li class="navelem"><a class="el" href="../../db/d4b/a01883.html">expansionatmmenuplayerentry.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
